Subject: Re: bug#49505: 28.0.50; Multiple launchers in GNOME

From: Peter Oliver <[email-masked]>
Date: Sat, 9 Oct 2021 12:19:17 +0100 (BST)

On Wed, 11 Aug 2021, Manuel Uberti wrote:

> On 11/08/21 19:34, Peter Oliver wrote:
>>  But in this case, emacsclient automatically starts emacs for you, doesn’t
>>  it?
>
> It starts emacs, but it offers me a client.
>
> However, all I want is just one Emacs standalone (i.e. non-client) instance. 
> I understand others make use of emacsclient much more than I do, and if this 
> helps them it is something good of course.
>
> In my case, though, it's something I've never used before and I don't see why 
> now I cannot opt out of it.

Does starting a server cause a problem?  Could people largely ignore that it’s happening and carry on as normal?  Genuine question.  I always start a server, so I don’t have experience of how Emacs behaves differently without one.

I realise that closing an Emacs client window via the window manager will cause an Emacs daemon to carry on running in the background until the end of the desktop session, which would be different behaviour to most other desktop apps, but perhaps it’s tolerable nonetheless.  Modern desktops run so many processes in the background, after all, that one more might not make much difference.

-- 
Peter Oliver